* [gentoo-commits] proj/sci:master commit in: sci-libs/shtools/
@ 2016-12-13 6:56 Benda XU
0 siblings, 0 replies; 5+ messages in thread
From: Benda XU @ 2016-12-13 6:56 UTC (permalink / raw
To: gentoo-commits
commit: ee63729b2263bf690dafc7cc8fc7be73bdaf1510
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 12 00:49:29 2016 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue Dec 13 06:53:43 2016 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=ee63729b
sci-libs/shtools: initial addition.
Package-Manager: portage-2.3.2
sci-libs/shtools/metadata.xml | 18 ++++++++++++
sci-libs/shtools/shtools-4.0_rc1.ebuild | 50 +++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/sci-libs/shtools/metadata.xml b/sci-libs/shtools/metadata.xml
new file mode 100644
index 0000000..bacae8d
--- /dev/null
+++ b/sci-libs/shtools/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>heroxbd@gentoo.org</email>
+ <name>Benda Xu</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription>
+ SHTOOLS is an archive of Fortran 95 and Python software that can
+ be used to perform spherical harmonic transforms and
+ reconstructions, rotations of data expressed in spherical
+ harmonics, and multitaper spectral analyses on the sphere.
+ </longdescription>
+</pkgmetadata>
diff --git a/sci-libs/shtools/shtools-4.0_rc1.ebuild b/sci-libs/shtools/shtools-4.0_rc1.ebuild
new file mode 100644
index 0000000..98ad4e2
--- /dev/null
+++ b/sci-libs/shtools/shtools-4.0_rc1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+if [[ ${PV} == 9999 ]]; then
+ ECLASS="git-r3"
+ EGIT_REPO_URI="https://github.com/heroxbd/${PN^^}.git"
+ S="${WORKDIR}"/${P}
+else
+ SRC_URI="https://github.com/${PN^^}/${PN^^}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}"/${PN^^}-${PV/_/-}
+fi
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-r1 flag-o-matic toolchain-funcs ${ECLASS}
+
+DESCRIPTION="Spherical harmonic transforms and reconstructions, rotations."
+HOMEPAGE="http://shtools.ipgp.fr"
+
+LICENSE="BSD-4"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="sci-libs/fftw:*
+ sys-devel/gcc:*[fortran]
+ virtual/lapack
+ virtual/blas
+ ${PYTHON_DEPS}"
+
+DEPEND="dev-python/numpy
+ ${RDEPEND}"
+
+src_compile() {
+ append-ldflags -shared # needed by f2py
+ # needed by f2py in fortran 77 mode
+ use amd64 && append-fflags -fPIC
+ OPTS=( LAPACK=$($(tc-getPKG_CONFIG) lapack --libs-only-l)
+ BLAS=$($(tc-getPKG_CONFIG) blas --libs-only-l)
+ FFTW=$($(tc-getPKG_CONFIG) fftw3 --libs-only-l)
+ PYTHON_VERSION=2 )
+ emake python ${OPTS[@]}
+}
+
+src_install() {
+ emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" ${OPTS[@]} install
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-libs/shtools/
@ 2017-01-16 8:46 Benda XU
0 siblings, 0 replies; 5+ messages in thread
From: Benda XU @ 2017-01-16 8:46 UTC (permalink / raw
To: gentoo-commits
commit: 65890a5f0401cc3f8c9635a2751c99d0947b58ee
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 16 08:45:29 2017 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Mon Jan 16 08:46:01 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=65890a5f
sci-libs/shtools: bump to 4.0.
sci-libs/shtools/{shtools-4.0_rc1.ebuild => shtools-4.0.ebuild} | 0
1 file changed, 0 insertions(+), 0 deletions(-)
diff --git a/sci-libs/shtools/shtools-4.0_rc1.ebuild b/sci-libs/shtools/shtools-4.0.ebuild
similarity index 100%
rename from sci-libs/shtools/shtools-4.0_rc1.ebuild
rename to sci-libs/shtools/shtools-4.0.ebuild
^ permalink raw reply [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-libs/shtools/
@ 2017-01-21 11:07 Benda XU
0 siblings, 0 replies; 5+ messages in thread
From: Benda XU @ 2017-01-21 11:07 UTC (permalink / raw
To: gentoo-commits
commit: 5815bc1cd9a5e671376d8f5fa95beb7b773ff9c8
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 21 11:07:06 2017 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sat Jan 21 11:07:19 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=5815bc1c
sci-libs/shtools: depend on matplotlib.
Package-Manager: portage-2.3.3
sci-libs/shtools/shtools-4.0.ebuild | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/sci-libs/shtools/shtools-4.0.ebuild b/sci-libs/shtools/shtools-4.0.ebuild
index 98ad4e2..149c2bb 100644
--- a/sci-libs/shtools/shtools-4.0.ebuild
+++ b/sci-libs/shtools/shtools-4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -29,10 +29,11 @@ RDEPEND="sci-libs/fftw:*
sys-devel/gcc:*[fortran]
virtual/lapack
virtual/blas
+ dev-python/numpy
+ dev-python/matplotlib
${PYTHON_DEPS}"
-DEPEND="dev-python/numpy
- ${RDEPEND}"
+DEPEND="${RDEPEND}"
src_compile() {
append-ldflags -shared # needed by f2py
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-libs/shtools/
@ 2017-01-29 11:59 Justin Lecher
0 siblings, 0 replies; 5+ messages in thread
From: Justin Lecher @ 2017-01-29 11:59 UTC (permalink / raw
To: gentoo-commits
commit: b41f534524a6add32b78ff817576d8640a52b59a
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 29 11:22:47 2017 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Jan 29 11:59:22 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=b41f5345
sci-libs/shtools: Multiple QA enhancements
Properly handle fortran
Properly handle multiple python versions
fix doc installation dir respect FCFLAGS, AR, FC, RANLIB
Add support for static-libs
Drop unnecessary . from DESCRIPTION
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
sci-libs/shtools/shtools-4.0.ebuild | 59 +++++++++++++++++++++++++++----------
1 file changed, 43 insertions(+), 16 deletions(-)
diff --git a/sci-libs/shtools/shtools-4.0.ebuild b/sci-libs/shtools/shtools-4.0.ebuild
index 149c2bb..43bf743 100644
--- a/sci-libs/shtools/shtools-4.0.ebuild
+++ b/sci-libs/shtools/shtools-4.0.ebuild
@@ -5,7 +5,7 @@
EAPI=6
if [[ ${PV} == 9999 ]]; then
- ECLASS="git-r3"
+ _ECLASS="git-r3"
EGIT_REPO_URI="https://github.com/heroxbd/${PN^^}.git"
S="${WORKDIR}"/${P}
else
@@ -14,38 +14,65 @@ else
S="${WORKDIR}"/${PN^^}-${PV/_/-}
fi
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
-inherit python-r1 flag-o-matic toolchain-funcs ${ECLASS}
+inherit fortran-2 flag-o-matic python-single-r1 toolchain-funcs ${_ECLASS}
-DESCRIPTION="Spherical harmonic transforms and reconstructions, rotations."
+DESCRIPTION="Spherical harmonic transforms and reconstructions, rotations"
HOMEPAGE="http://shtools.ipgp.fr"
LICENSE="BSD-4"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="static-libs"
-RDEPEND="sci-libs/fftw:*
- sys-devel/gcc:*[fortran]
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ sci-libs/fftw:3.0=
virtual/lapack
virtual/blas
- dev-python/numpy
- dev-python/matplotlib
${PYTHON_DEPS}"
-DEPEND="${RDEPEND}"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
-src_compile() {
+src_prepare() {
append-ldflags -shared # needed by f2py
- # needed by f2py in fortran 77 mode
- use amd64 && append-fflags -fPIC
- OPTS=( LAPACK=$($(tc-getPKG_CONFIG) lapack --libs-only-l)
+ # needed by f2py in fortran 77 mode
+ append-fflags -fPIC
+ [[ $(tc-getFC) =~ gfortran ]] && append-fflags -fno-second-underscore
+ export _pyver=$(python_is_python3 && echo 3 || echo 2)
+ export OPTS=(
+ LAPACK=$($(tc-getPKG_CONFIG) lapack --libs-only-l)
BLAS=$($(tc-getPKG_CONFIG) blas --libs-only-l)
FFTW=$($(tc-getPKG_CONFIG) fftw3 --libs-only-l)
- PYTHON_VERSION=2 )
- emake python ${OPTS[@]}
+ F95=$(tc-getFC)
+ F95FLAGS="${FCFLAGS}"
+ AR=$(tc-getAR)
+ RLIB=$(tc-getRANLIB)
+ PYTHON_VERSION=${_pyver}
+ )
+
+ sed \
+ -e '/mv/s:.so:*.so:g' \
+ -e "/SYSDOCPATH/s:${PN}:${PF}:g" \
+ -e "/www/s:/$:/html/:g" \
+ -i Makefile || die
+
+ default
+}
+
+src_compile() {
+ emake fortran "${OPTS[@]}"
+ emake python${_pyver} "${OPTS[@]}"
}
src_install() {
- emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" ${OPTS[@]} install
+ emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" "${OPTS[@]}" install-fortran
+ emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" "${OPTS[@]}" install-python${_pyver}
+ if ! use static-libs; then
+ rm -rf "${ED}"/usr/$(get_libdir)/*.a || die
+ fi
}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-libs/shtools/
@ 2020-09-28 10:23 Horea Christian
0 siblings, 0 replies; 5+ messages in thread
From: Horea Christian @ 2020-09-28 10:23 UTC (permalink / raw
To: gentoo-commits
commit: 5fef6fd1a5554e613fe333aba90399908e257456
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon Sep 28 10:20:20 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Sep 28 10:20:20 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=5fef6fd1
sci-libs/shtools: removed discontinued package
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
sci-libs/shtools/metadata.xml | 21 ----------
sci-libs/shtools/shtools-4.0.ebuild | 77 -------------------------------------
2 files changed, 98 deletions(-)
diff --git a/sci-libs/shtools/metadata.xml b/sci-libs/shtools/metadata.xml
deleted file mode 100644
index 2fc842248..000000000
--- a/sci-libs/shtools/metadata.xml
+++ /dev/null
@@ -1,21 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>heroxbd@gentoo.org</email>
- <name>Benda Xu</name>
- </maintainer>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <name>Gentoo Science Project</name>
- </maintainer>
- <longdescription>
-SHTOOLS is an archive of Fortran 95 and Python software that can
-be used to perform spherical harmonic transforms and
-reconstructions, rotations of data expressed in spherical
-harmonics, and multitaper spectral analyses on the sphere.
-</longdescription>
- <upstream>
- <remote-id type="github">SHTOOLS/SHTOOLS</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/sci-libs/shtools/shtools-4.0.ebuild b/sci-libs/shtools/shtools-4.0.ebuild
deleted file mode 100644
index 82c690943..000000000
--- a/sci-libs/shtools/shtools-4.0.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-if [[ ${PV} == 9999 ]]; then
- _ECLASS="git-r3"
- EGIT_REPO_URI="https://github.com/heroxbd/${PN^^}.git"
- S="${WORKDIR}"/${P}
-else
- SRC_URI="https://github.com/${PN^^}/${PN^^}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
- S="${WORKDIR}"/${PN^^}-${PV/_/-}
-fi
-
-PYTHON_COMPAT=( python{2_7,3_{4,5}} )
-
-inherit fortran-2 flag-o-matic python-single-r1 toolchain-funcs ${_ECLASS}
-
-DESCRIPTION="Spherical harmonic transforms and reconstructions, rotations"
-HOMEPAGE="http://shtools.ipgp.fr"
-
-LICENSE="BSD-4"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="static-libs"
-
-RDEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- sci-libs/fftw:3.0=
- virtual/lapack
- virtual/blas
- ${PYTHON_DEPS}"
-
-DEPEND="${RDEPEND}
- virtual/pkgconfig
-"
-
-src_prepare() {
- append-ldflags -shared # needed by f2py
- # needed by f2py in fortran 77 mode
- append-fflags -fPIC
- [[ $(tc-getFC) =~ gfortran ]] && append-fflags -fno-second-underscore
- export _pyver=$(python_is_python3 && echo 3 || echo 2)
- export OPTS=(
- LAPACK=$($(tc-getPKG_CONFIG) lapack --libs-only-l)
- BLAS=$($(tc-getPKG_CONFIG) blas --libs-only-l)
- FFTW=$($(tc-getPKG_CONFIG) fftw3 --libs-only-l)
- F95=$(tc-getFC)
- F95FLAGS="${FCFLAGS}"
- AR=$(tc-getAR)
- RLIB=$(tc-getRANLIB)
- PYTHON_VERSION=${_pyver}
- )
-
- sed \
- -e '/mv/s:.so:*.so:g' \
- -e "/SYSDOCPATH/s:${PN}:${PF}:g" \
- -e "/www/s:/$:/html/:g" \
- -i Makefile || die
-
- default
-}
-
-src_compile() {
- emake fortran "${OPTS[@]}"
- emake python${_pyver} "${OPTS[@]}"
-}
-
-src_install() {
- emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" "${OPTS[@]}" install-fortran
- emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" "${OPTS[@]}" install-python${_pyver}
- if ! use static-libs; then
- rm -rf "${ED}"/usr/$(get_libdir)/*.a || die
- fi
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2020-09-28 10:23 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-09-28 10:23 [gentoo-commits] proj/sci:master commit in: sci-libs/shtools/ Horea Christian
-- strict thread matches above, loose matches on Subject: below --
2017-01-29 11:59 Justin Lecher
2017-01-21 11:07 Benda XU
2017-01-16 8:46 Benda XU
2016-12-13 6:56 Benda XU
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox